# Poco::Util

# class RegExpValidator

Library: Util
Package: Options
Header: Poco/Util/RegExpValidator.h

## Description

This validator matches the option value against a regular expression.

## Inheritance

Direct Base Classes: Validator

All Base Classes: Poco::RefCountedObject, Validator

## Member Summary

Member Functions: validate

Inherited Functions: duplicate, referenceCount, release, validate

## Constructors

### RegExpValidator

RegExpValidator(
const std::string & regexp
);

Creates the RegExpValidator, using the given regular expression.

## Destructor

### ~RegExpValidator

~RegExpValidator();

Destroys the RegExpValidator.

## Member Functions

### validate

void validate(
const Option & option,
const std::string & value
);

Validates the value for the given option by matching it with the regular expression.

See also: Poco::Util::Validator::validate()